Name:          avogadrolibs
Version:       1.99.0
Release:       1mamba
Summary:       Libraries for computational chemistry, molecular modeling, bioinformatics, materials science, and related areas
Group:         Graphical Desktop/Applications/Scientific
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://two.avogadro.cc/
Source:        https://github.com/OpenChemistry/avogadrolibs.git/%{version}/avogadrolibs-%{version}.tar.bz2
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libQt5Svg-devel
BuildRequires: libX11-devel
BuildRequires: libarchive-devel
BuildRequires: libfreetype-devel
BuildRequires: libgcc
BuildRequires: libglew-devel
BuildRequires: libglvnd-devel
BuildRequires: libgomp-devel
BuildRequires: libhdf5-devel
BuildRequires: libmsym-devel
BuildRequires: libpython311-devel
BuildRequires: libspglib-devel
BuildRequires: libstdc++6-devel
BuildRequires: libtbb-devel
BuildRequires: libvtk-devel
BuildRequires: pugixml-devel
BuildRequires: qt5-qtbase-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: libmmtf-cpp-devel
BuildRequires: libnlohmann-json-devel

%description
Avogadro libraries provide 3D rendering, visualization, analysis and data processing useful in computational chemistry, molecular modeling, bioinformatics, materials science, and related areas.

%package -n libavogadro
Group:         System/Libraries
Summary:       Libraries for computational chemistry, molecular modeling, bioinformatics, materials science, and related areas
Obsoletes:     avogadro <= 1.2.0-2mamba

%description -n libavogadro
Avogadro libraries provide 3D rendering, visualization, analysis and data processing useful in computational chemistry, molecular modeling, bioinformatics, materials science, and related areas.
This package contains shared libraries for %{name}.

%package -n libavogadro-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      libavogadro = %{?epoch:%epoch:}%{version}-%{release}

%description -n libavogadro-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%cmake \
    -DENABLE_TRANSLATIONS=ON \
    -DUSE_HDF5=ON \
    -DUSE_VTK=ON \
    -DUSE_PYTHON=ON \
    -DUSE_SYSTEM_GENXRDPATTERN=ON \
    -DUSE_EXTERNAL_NLOHMANN=ON \
    -DUSE_EXTERNAL_PUGIXML=ON

%cmake_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%cmake_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n libavogadro -p /sbin/ldconfig
%postun -n libavogadro -p /sbin/ldconfig

%files -n libavogadro
%defattr(-,root,root)
%{_libdir}/libAvogadro*.so.*
%dir %{_libdir}/avogadro2
%{_libdir}/avogadro2/libgwavi.a
%dir %{_libdir}/avogadro2/scripts
%{_libdir}/avogadro2/scripts/*
%dir %{_libdir}/avogadro2/staticplugins
%{_libdir}/avogadro2/staticplugins/*.a
%{_libdir}/libAvogadro*.so
%dir %{python3_sitearch}/avogadro
%{python3_sitearch}/avogadro/*
%dir %{_datadir}/avogadro2
%{_datadir}/avogadro2/*
%doc LICENSE

%files -n libavogadro-devel
%defattr(-,root,root)
%dir %{_includedir}/avogadro
%{_includedir}/avogadro/*
%dir %{_docdir}/AvogadroLibs
%dir %{_docdir}/AvogadroLibs/avogadrolibs
%{_docdir}/AvogadroLibs/avogadrolibs/*
%dir %{_libdir}/cmake/avogadrolibs
%{_libdir}/cmake/avogadrolibs/*.cmake
%doc README.md

%changelog
* Sat May 04 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 1.99.0-1mamba
- package created using the webbuild interface
